#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile
#
alembic==1.15.2
    # via -r requirements.in
amqp==5.3.1
    # via kombu
annotated-types==0.7.0
    # via pydantic
anyio==4.9.0
    # via
    #   google-genai
    #   httpx
    #   starlette
argon2-cffi==23.1.0
    # via -r requirements.in
argon2-cffi-bindings==21.2.0
    # via argon2-cffi
billiard==4.2.1
    # via celery
cachetools==5.5.2
    # via google-auth
celery==5.5.1
    # via -r requirements.in
certifi==2025.1.31
    # via
    #   httpcore
    #   httpx
    #   requests
cffi==1.17.1
    # via argon2-cffi-bindings
charset-normalizer==3.4.1
    # via requests
click==8.1.8
    # via
    #   celery
    #   click-didyoumean
    #   click-plugins
    #   click-repl
    #   uvicorn
click-didyoumean==0.3.1
    # via celery
click-plugins==1.1.1
    # via celery
click-repl==0.3.0
    # via celery
dnspython==2.7.0
    # via eventlet
ecdsa==0.19.1
    # via python-jose
eventlet==0.39.1
    # via -r requirements.in
fastapi==0.115.12
    # via -r requirements.in
gevent==25.4.1
    # via -r requirements.in
google-auth==2.39.0
    # via
    #   -r requirements.in
    #   google-genai
google-genai==1.11.0
    # via -r requirements.in
greenlet==3.2.0
    # via
    #   eventlet
    #   gevent
    #   sqlalchemy
h11==0.14.0
    # via
    #   httpcore
    #   uvicorn
httpcore==1.0.8
    # via httpx
httpx==0.28.1
    # via google-genai
idna==3.10
    # via
    #   anyio
    #   httpx
    #   requests
kombu==5.5.3
    # via celery
mako==1.3.10
    # via alembic
markupsafe==3.0.2
    # via mako
prompt-toolkit==3.0.51
    # via click-repl
psycopg2-binary==2.9.10
    # via -r requirements.in
pyasn1==0.4.8
    # via
    #   pyasn1-modules
    #   python-jose
    #   rsa
pyasn1-modules==0.4.1
    # via google-auth
pycparser==2.22
    # via cffi
pydantic==2.11.3
    # via
    #   -r requirements.in
    #   fastapi
    #   google-genai
    #   pydantic-settings
pydantic-core==2.33.1
    # via pydantic
pydantic-settings==2.9.1
    # via -r requirements.in
python-dateutil==2.9.0.post0
    # via celery
python-dotenv==1.1.0
    # via
    #   -r requirements.in
    #   pydantic-settings
python-jose==3.4.0
    # via -r requirements.in
python-multipart==0.0.20
    # via -r requirements.in
redis==5.2.1
    # via -r requirements.in
requests==2.32.3
    # via google-genai
rsa==4.9.1
    # via
    #   google-auth
    #   python-jose
six==1.17.0
    # via
    #   ecdsa
    #   python-dateutil
sniffio==1.3.1
    # via anyio
sqlalchemy==2.0.40
    # via
    #   -r requirements.in
    #   alembic
starlette==0.46.2
    # via
    #   -r requirements.in
    #   fastapi
typing-extensions==4.13.2
    # via
    #   alembic
    #   anyio
    #   fastapi
    #   google-genai
    #   pydantic
    #   pydantic-core
    #   sqlalchemy
    #   typing-inspection
typing-inspection==0.4.0
    # via
    #   pydantic
    #   pydantic-settings
tzdata==2025.2
    # via kombu
urllib3==2.4.0
    # via requests
uvicorn==0.34.2
    # via -r requirements.in
vine==5.1.0
    # via
    #   amqp
    #   celery
    #   kombu
wcwidth==0.2.13
    # via prompt-toolkit
websockets==15.0.1
    # via google-genai
zope-event==5.0
    # via gevent
zope-interface==7.2
    # via gevent

# The following packages are considered to be unsafe in a requirements file:
# setuptools
